org.apache.commons.math3.optim.nonlinear.scalar

## Class MultivariateFunctionMappingAdapter.NoBoundsMapper

- java.lang.Object
- - org.apache.commons.math3.optim.nonlinear.scalar.MultivariateFunctionMappingAdapter.NoBoundsMapper

All Implemented Interfaces:
  MultivariateFunctionMappingAdapter.Mapper

Enclosing class:
  MultivariateFunctionMappingAdapter

    private static class MultivariateFunctionMappingAdapter.NoBoundsMapper
    extends java.lang.Object
    implements MultivariateFunctionMappingAdapter.Mapper

Local class for no bounds mapping.

### Constructor Summary

Constructors
`private` `MultivariateFunctionMappingAdapter.NoBoundsMapper()`

### Method Summary

Methods
`double` `boundedToUnbounded(double x)` Maps a value from bounded to unbounded.
`double` `unboundedToBounded(double y)` Maps a value from unbounded to bounded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultivariateFunctionMappingAdapter.NoBoundsMapper

    private MultivariateFunctionMappingAdapter.NoBoundsMapper()

### Method Detail

#### unboundedToBounded

    public double unboundedToBounded(double y)

Maps a value from unbounded to bounded.

Specified by:
  `unboundedToBounded` in interface `MultivariateFunctionMappingAdapter.Mapper`
Parameters:
  `y` - Unbounded value.
Returns:
  the bounded value.

#### boundedToUnbounded

    public double boundedToUnbounded(double x)

Maps a value from bounded to unbounded.

Specified by:
  `boundedToUnbounded` in interface `MultivariateFunctionMappingAdapter.Mapper`
Parameters:
  `x` - Bounded value.
Returns:
  the unbounded value.